/*
 * Copyright (C) 2003 Dominik Seichter <domseichter@web.de>
 */

#include "kesi.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char *description =
    I18N_NOOP("KESI - KESI Easy SQL Import");

static const char *version = "0.9";

int main(int argc, char **argv)
{
    KAboutData about("kesi", I18N_NOOP("KESI"), version, description,
                     KAboutData::License_GPL, "(C) 2003 Dominik Seichter", 0, 0, "domseichter@web.de");
    about.addAuthor( "Dominik Seichter", 0, "domseichter@web.de" );
    KCmdLineArgs::init(argc, argv, &about);
    KApplication app;
    KESI* mainWin = new KESI();
    app.setMainWidget( mainWin );
    mainWin->show();

    int ret = app.exec();

    delete mainWin;
    return ret;
}
