/*
 * Copyright (C) 2003 Dominik Seichter <domseichter@web.de>
 */

#ifndef _KESI_H_
#define _KESI_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kdialogbase.h>


class KComboBox;
class KLineEdit;
/**
 * @short Database settings config dialog
 * @author Dominik Seichter <domseichter@web.de>
 * @version 0.9
 */
class KESI : public KDialogBase
{
    Q_OBJECT
    public:
        KESI( QWidget* parent = 0, const char* name = "" );
        virtual ~KESI();

    protected:
        void accept();
        void saveConfig();
        void loadConfig();

        KComboBox* m_driver;

        KLineEdit* m_username;
        KLineEdit* m_database;
        KLineEdit* m_hostname;
        KLineEdit* m_password;
};

#endif // _KESI_H_
